Index: sandbox/filemanager/js/draw_api.js
===================================================================
--- sandbox/filemanager/js/draw_api.js	(revision 1741)
+++ sandbox/filemanager/js/draw_api.js	(revision 1748)
@@ -12,5 +12,5 @@
 
 function loadHistory(filename){
-	cExecute('/index.php?menuaction=filemanager.uifilemanager.history&file='+base64_encode(filename)+"&path="+base64_encode(currentPath),draw_window);
+	cExecute('./index.php?menuaction=filemanager.uifilemanager.history&file='+base64_encode(filename)+"&path="+base64_encode(currentPath),draw_window);
 }
 
@@ -146,5 +146,5 @@
 function initDrawApi(){
 	currentPath = document.getElementById('currentPath').value;
-	cExecute('/index.php?menuaction=filemanager.uifilemanager.get_permissions&path='+base64_encode(currentPath),loadPermissions);
+	cExecute('./index.php?menuaction=filemanager.uifilemanager.get_permissions&path='+base64_encode(currentPath),loadPermissions);
 	quotaSize = document.getElementById('quotaSize').value;
 	usedSpace = document.getElementById('usedSpace').value;
@@ -158,7 +158,4 @@
 	window.onresize = resizeDiv;
 	document.body.style.overflow = "hidden";
-
-	// Disabled for now
-	// document.getElementById('main_table').style.visibility = "";
 
 }
@@ -215,5 +212,5 @@
 		newpage += '<td></td><td></td>';
 		newpage += fl.td+'<img src="'+files[i].icon+'">';
-		newpage += '<a id="name_'+files[i].name+'" href="/index.php?menuaction=filemanager.uifilemanager.view&file='+base64_encode(files[i].name)+'&path='+base64_encode(files[i].directory)+'" target="_blank">'+files[i].name+'</a>&nbsp;</td>';
+		newpage += '<a id="name_'+files[i].name+'" href="./index.php?menuaction=filemanager.uifilemanager.view&file='+base64_encode(files[i].name)+'&path='+base64_encode(files[i].directory)+'" target="_blank">'+files[i].name+'</a>&nbsp;</td>';
 		newpage += fl.td+files[i].directory+'</td>';
 		if (preferences.mime_type =='1') newpage += fl.td+files[i].mime_type+'</td>';
@@ -274,9 +271,9 @@
 
 		if (files[i].mime == 'text/html')
-			newpage += '<td><a href="/index.php?menuaction=filemanager.uifilemanager.export&file='+base64_encode(files[i].name)+';path='+base64_encode(currentPath)+'"><img alt="'+get_lang('export')+'" title="'+get_lang('export')+'" src="'+templatePath+'images/button_export.png"></a></td>';
+			newpage += '<td><a href="./index.php?menuaction=filemanager.uifilemanager.export&file='+base64_encode(files[i].name)+';path='+base64_encode(currentPath)+'"><img alt="'+get_lang('export')+'" title="'+get_lang('export')+'" src="'+templatePath+'images/button_export.png"></a></td>';
 		else
 			newpage += '<td></td>';
 		newpage += fl.td+'<img src="'+(files[i].icon)+'">';
-		newpage += '<a id="name_'+files[i].name+'" href="/index.php?menuaction=filemanager.uifilemanager.view&file='+base64_encode(files[i].name)+'&path='+base64_encode(currentPath)+'" target="_blank">'+files[i].name+'</a>&nbsp;</td>';
+		newpage += '<a id="name_'+files[i].name+'" href="./index.php?menuaction=filemanager.uifilemanager.view&file='+base64_encode(files[i].name)+'&path='+base64_encode(currentPath)+'" target="_blank">'+files[i].name+'</a>&nbsp;</td>';
 		if (preferences.mime_type =='1') newpage += fl.td+files[i].mime+'</td>';
 		if (preferences.size =='1') newpage += fl.td+borkb(files[i].size)+'</td>';
@@ -401,5 +398,5 @@
 					var filename = nameLink.innerHTML;
 					inputName.value = filename;
-					inputName.onblur = function () { cExecute('/index.php?menuaction=filemanager.vfs_functions.rename&file='+base64_encode(this.id.substr(6))+'&to='+base64_encode(this.value)+"&path="+base64_encode(currentPath),updateRename) };
+					inputName.onblur = function () { cExecute('./index.php?menuaction=filemanager.vfs_functions.rename&file='+base64_encode(this.id.substr(6))+'&to='+base64_encode(this.value)+"&path="+base64_encode(currentPath),updateRename) };
 					nameLink.parentNode.appendChild(inputName);
 					nameLink.parentNode.removeChild(nameLink);
@@ -444,5 +441,5 @@
 			}
 
-			cExecute('/index.php?menuaction=filemanager.vfs_functions.delete&path='+
+			cExecute('./index.php?menuaction=filemanager.vfs_functions.delete&path='+
 					base64_encode(currentPath)+filesUrl,handlerDelete);
 			break;
@@ -484,5 +481,5 @@
 			break;
 		case 'reload':
-			cExecute('/index.php?menuaction=filemanager.uifilemanager.dir_ls&path='+base64_encode(currentPath)+'&criteria='+criteria+'&otype='+order_type,folderList.drawFiles);
+			cExecute('./index.php?menuaction=filemanager.uifilemanager.dir_ls&path='+base64_encode(currentPath)+'&criteria='+criteria+'&otype='+order_type,folderList.drawFiles);
 			return;
 		case 'tools':
@@ -506,5 +503,5 @@
 			elements[3] = new Array();
 			elements[3]['text'] = get_lang('Share Folders');
-			elements[3]['url'] = "index.php?menuaction=preferences.uiaclprefs.index&acl_app=filemanager";
+			elements[3]['url'] = "./index.php?menuaction=preferences.uiaclprefs.index&acl_app=filemanager";
 			elements[3]['img'] = templatePath+'images/mime16_directory.png';
 			elements[4] = new Array();
Index: sandbox/filemanager/js/connector.js
===================================================================
--- sandbox/filemanager/js/connector.js	(revision 1746)
+++ sandbox/filemanager/js/connector.js	(revision 1748)
@@ -73,5 +73,8 @@
 {
 	var div = document.getElementById('divProgressBar');
-	div.style.visibility = 'hidden';
+	if (div != null)
+		div.style.visibility = 'hidden';
+	else
+		setTimeout('connector.hideProgressBar()',100);
 	this.isVisibleBar = false;
 }
Index: sandbox/filemanager/js/common_functions.js
===================================================================
--- sandbox/filemanager/js/common_functions.js	(revision 1741)
+++ sandbox/filemanager/js/common_functions.js	(revision 1748)
@@ -1,5 +1,5 @@
 function load(path){
 	currentPath = path;
-	cExecute('/index.php?menuaction=filemanager.uifilemanager.get_permissions&path='+base64_encode(path),loadPermissions);
+	cExecute('./index.php?menuaction=filemanager.uifilemanager.get_permissions&path='+base64_encode(path),loadPermissions);
 }
 
@@ -124,5 +124,5 @@
 	var continue_set = confirm(get_lang('This property will change the visibility of all users that have access to this file, continue?'));
 	if (continue_set)
-		cExecute('/index.php?menuaction=filemanager.vfs_functions.setRestricted&file='+base64_encode(name)+'&path='+base64_encode(currentPath),setRestricted_handler);
+		cExecute('./index.php?menuaction=filemanager.vfs_functions.setRestricted&file='+base64_encode(name)+'&path='+base64_encode(currentPath),setRestricted_handler);
 }
 
@@ -148,5 +148,5 @@
 function setComments(el){
 	var filename = base64_encode(el.id);
-	cExecute('/index.php?menuaction=filemanager.vfs_functions.editComment&file='+filename+'&comment='+base64_encode(el.value),updateComment);
+	cExecute('./index.php?menuaction=filemanager.vfs_functions.editComment&file='+filename+'&comment='+base64_encode(el.value),updateComment);
 }
 
@@ -229,5 +229,5 @@
 				preferences[checkBoxes[i].value] = '0';
 		}
-		cExecute('/index.php?menuaction=filemanager.user.save_preferences&preferences='+base64_encode(serialize(preferences)),function () { toolbar.control('reload'); EditColumns('close'); })
+		cExecute('./index.php?menuaction=filemanager.user.save_preferences&preferences='+base64_encode(serialize(preferences)),function () { toolbar.control('reload'); EditColumns('close'); })
 		return;
 	}
@@ -265,5 +265,5 @@
 		return;
 	}
-	cExecute('/index.php?menuaction=filemanager.uifilemanager.search&text='+inputText.value,folderList.drawSearch);
+	cExecute('./index.php?menuaction=filemanager.uifilemanager.search&text='+inputText.value,folderList.drawSearch);
 }
 function selectAll(el){
Index: sandbox/filemanager/js/global.js
===================================================================
--- sandbox/filemanager/js/global.js	(revision 1719)
+++ sandbox/filemanager/js/global.js	(revision 1748)
@@ -10,5 +10,5 @@
 var usedSpace;
 
-var templatePath = '/filemanager/templates/default/';
+var templatePath = './filemanager/templates/default/';
 
 var menuTimeout;
Index: sandbox/filemanager/templates/default/main.css
===================================================================
--- sandbox/filemanager/templates/default/main.css	(revision 1741)
+++ sandbox/filemanager/templates/default/main.css	(revision 1748)
@@ -68,5 +68,5 @@
 #fmFileWindow
 {
-        overflow-y: scroll;
+        overflow: auto;
         height: 380px;
         position:relative;