Index: unk/jabberit_messenger/inc/class.uimodule.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.uimodule.inc.php	(revision 1684)
+++ 	(revision )
@@ -1,113 +1,0 @@
-<?php
-  /***************************************************************************\
-  *  Expresso - Expresso Messenger                                            *
-  *  	- Alexandre Correia / Rodrigo Souza							          *
-  * ------------------------------------------------------------------------- *
-  *  This program is free software; you can redistribute it and/or modify it  *
-  *  under the terms of the GNU General Public License as published by the    *
-  *  Free Software Foundation; either version 2 of the License, or (at your   *
-  *  option) any later version.                                               *
-  \***************************************************************************/
-
-require_once "class.bomodule.inc.php"; 
-
-class uimodule
-{
-	public $public_functions = array(
-		'add'      => True,
-		'edit_conf' => True,
-	);
-
-	private $bo;
-	
-	final function __construct()
-	{
-		$this->bo = new bomodule();	
-	}	
-	
-	public final function edit_conf()
-	{
-		if($GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
-		{
-			$GLOBALS['phpgw']->redirect_link('/index.php');
-		}		
-		
-		$GLOBALS['phpgw_info']['flags']['app_header'] = lang('Admin') .' - ' . 'Configurar o Uso do Módulo';	
-		
-		if(!@is_object($GLOBALS['phpgw']->js))
-		{
-			$GLOBALS['phpgw']->js = CreateObject('phpgwapi.javascript');
-		}
-			
-		$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
-		$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
-		
-		$js = array('functions');
-		
-		foreach( $js as $tmp )
-			$GLOBALS['phpgw']->js->validate_file('',$tmp,'jabberit_messenger');
-		
-		$GLOBALS['phpgw']->common->phpgw_header();
-		echo parse_navbar();
-		
-		if( $apps_list = $this->bo->getApplicationsEnabled())
-		{
-			$apps_list = unserialize($apps_list);
-			if(is_array($apps_list))
-			{
-				foreach($apps_list as $tmp)
-					$apps_en .= "<option value='".$tmp."'>".substr($tmp,strpos($tmp, ";")+1)."</option>";
-			}
-		}
-
-		if( $apps_enabled = $this->bo->getApplicationsList() )
-		{
-			if(is_array($apps_enabled))
-			{
-				foreach($apps_enabled as $tmp )
-					$apps .= "<option value='".$tmp['name'].";".$tmp['title']."'>".$tmp['title']."</option>";
-			}
-		}
-
-		$GLOBALS['phpgw']->template->set_file(array('jabberit_messenger'=>'module.tpl'));
-		$GLOBALS['phpgw']->template->set_block('jabberit_messenger','module');	
-		$GLOBALS['phpgw']->template->set_var(array(
-										'action_url' => $GLOBALS['phpgw']->link('/index.php','menuaction=jabberit_messenger.uimodule.add'),
-										'apps_enabled' => $apps_en,
-										'apps_list' => $apps,
-										'lang_Select_the_modules_where_the_Expresso_Messenger_will_be_loaded' => lang('Select the modules where the Expresso Messenger will be loaded.'),										
-										'lang_Enable_the_Expresso_Messenger_module' => lang('Enable the Expresso Messenger module'),
-										'lang_Modules_List' => lang('Modules List'),
-										'lang_Modules_Enabled' => lang('Modules Enabled'),
-										'lang_save' => lang('Save'),
-										'lang_cancel' => lang('Cancel')
-										));
-	
-		$GLOBALS['phpgw']->template->pparse('out','module');
-	}
-	
-	public final function add()
-	{
-		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
-		{
-			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-		}		
-		
-		if ($_POST['cancel'])
-		{
-			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-		}
-
-		if ( $_POST['save'] )
-		{
-			if(is_array($_POST['apps_enabled']))
-				$this->bo->setApplications($_POST['apps_enabled']);
-			else
-				$this->bo->setApplications("");
-		}
-
-		$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-	}
-}
-
-?>
Index: unk/jabberit_messenger/inc/class.uigroupslocked.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.uigroupslocked.inc.php	(revision 1684)
+++ 	(revision )
@@ -1,128 +1,0 @@
-<?php
-
-  /***************************************************************************\
-  *  Expresso - Expresso Messenger                                            *
-  *  	- Alexandre Correia / Rodrigo Souza							          *
-  * ------------------------------------------------------------------------- *
-  *  This program is free software; you can redistribute it and/or modify it  *
-  *  under the terms of the GNU General Public License as published by the    *
-  *  Free Software Foundation; either version 2 of the License, or (at your   *
-  *  option) any later version.                                               *
-  \***************************************************************************/
-
-require_once "class.bogroupslocked.inc.php";
-
-class uigroupslocked
-{
-	
-	private $bo;
-	
-	public $public_functions = array(
-		'add'  => True,
-		'editGroups' => True,
-	);
-	
-	function __construct()
-	{
-		$this->bo = new bogroupslocked();
-		
-		if(!isset($_SESSION['phpgw_info']['jabberit_messenger']['ldapManager']['host']))
-		{
-			$_SESSION['phpgw_info']['jabberit_messenger']['ldapManager']['host'] = $GLOBALS['phpgw_info']['server']['ldap_host'];
-			$_SESSION['phpgw_info']['jabberit_messenger']['ldapManager']['acc'] = $GLOBALS['phpgw_info']['server']['ldap_root_dn'];
-			$_SESSION['phpgw_info']['jabberit_messenger']['ldapManager']['pw'] = $GLOBALS['phpgw_info']['server']['ldap_root_pw'];
-			$_SESSION['phpgw_info']['jabberit_messenger']['ldapManager']['dn'] = $GLOBALS['phpgw_info']['server']['ldap_context'];
-		}
-	}
-
-	public final function editGroups()
-	{
-		if($GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
-		{
-			$GLOBALS['phpgw']->redirect_link('/index.php');
-		}		
-		
-		$GLOBALS['phpgw_info']['flags']['app_header'] = lang('Admin') .' - ' . 'Restringir o Uso do Módulo por Grupo';	
-
-		$_SESSION['phpgwinfo']['db_host'] = $GLOBALS['phpgw_info']['server']['db_host'];
-    	$_SESSION['phpgwinfo']['db_port'] = $GLOBALS['phpgw_info']['server']['db_port'];
-    	$_SESSION['phpgwinfo']['db_name'] = $GLOBALS['phpgw_info']['server']['db_name'];
-    	$_SESSION['phpgwinfo']['db_user'] = $GLOBALS['phpgw_info']['server']['db_user'];
-    	$_SESSION['phpgwinfo']['db_pass'] = $GLOBALS['phpgw_info']['server']['db_pass']; 
-    	$_SESSION['phpgwinfo']['db_type'] = $GLOBALS['phpgw_info']['server']['db_type'];			
-
-		$GLOBALS['phpgw']->common->phpgw_header();
-		echo parse_navbar();
-
-		$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
-		$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
-
-		if(strrpos($webserver_url,'/') === false || strrpos($webserver_url,'/') != (strlen($webserver_url)-1))
-			$webserver_url .= '/';
-
-		echo '<script type="text/javascript">var path_jabberit="'.$webserver_url .'"</script>';
-
-		// Load Language;
-		require_once "load_lang.php";
-		require_once "class.ldap_im.inc.php";
-		
-		$ldap = new ldap_im();
-		
-		$ous = "<option value='-1'>-- ".lang('Select Organization')." --</option>";	
-		
-		if( ($LdapOus = $ldap->getOrganizationsLdap()) )
-		{
-			foreach($LdapOus as $key=>$val )
-				$ous .= "<option value='".$val."'>".$val."</option>";
-		}
-
-		$groupsRestricts = "";
-
-		if(isset($GLOBALS['phpgw_info']['server']['groups_locked_jabberit']))
-		{
-			$glocked = explode(';',$GLOBALS['phpgw_info']['server']['groups_locked_jabberit']);
-			natcasesort($glocked);
-	
-			foreach( $glocked as $tmp ){
-				$option = explode(":",$tmp);
-				$groupsRestricts .= "<option value='".$tmp."'>".$option[0]."</option>";
-			}
-		}
-		
-		$GLOBALS['phpgw']->template->set_file(array('jabberit_messenger'=>'groupslocked.tpl'));
-		$GLOBALS['phpgw']->template->set_block('jabberit_messenger','groups_locked');	
-		$GLOBALS['phpgw']->template->set_var(array(
-										'action_url' => $GLOBALS['phpgw']->link('/index.php','menuaction=jabberit_messenger.uigroupslocked.add'),
-										'lang_add' => "Adicionar",
-										'lang_cancel' => lang('Cancel'),										
-										'lang_description' => "Os grupos cadastrados como restritos, só poderão adicionar contatos da sua própria organização",
-										'lang_grupos_ldap' => "Grupos Ldap",
-										'lang_grupos_restritos' => "Grupos Restritos",
-										'lang_save' => lang('Save'),
-										'lang_Jabberit_settings' => "Configurações",
-										'lang_remove' => "Remover",
-										'lang_organizations' => lang('Organizations'),										
-										'groups_restricts' => trim($groupsRestricts),
-										'ous_ldap' => $ous										
-										));
-	
-		$GLOBALS['phpgw']->template->pparse('out','groups_locked');
-	}	
-	
-	public final function add()
-	{
-		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
-		{
-			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-		}		
-		
-		if ( $_POST['save'] )
-		{
-			$this->bo->setGroupsLocked($_POST['groups_locked_jabberit']);
-		}
-
-		$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-	}
-}
-
-?>
Index: unk/jabberit_messenger/inc/class.contacts_im.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.contacts_im.inc.php	(revision 1695)
+++ 	(revision )
@@ -1,332 +1,0 @@
-<?php
-  /***************************************************************************\
-  *  Expresso - Expresso Messenger                                            *
-  *  	- Alexandre Correia / Rodrigo Souza							          *
-  *  	- JETI - http://jeti-im.org/										  *
-  * ------------------------------------------------------------------------- *
-  *  This program is free software; you can redistribute it and/or modify it  *
-  *  under the terms of the GNU General Public License as published by the    *
-  *  Free Software Foundation; either version 2 of the License, or (at your   *
-  *  option) any later version.                                               *
-  \***************************************************************************/
-
-
-require_once "class.ldap_im.inc.php";
-require_once "class.db_im.inc.php"; 
-
-class contacts_im
-{
-	private $ldap;
-	private $db;
-	private $dn_User;
-	private $ou_User;
-	private $serverJabber;
-		
-	function __construct()
-	{
-		$this->ldap = new ldap_im();
-		$this->db = new db_im();
-
-		// (DN) User
-		$this->dn_User = $_SESSION['phpgw_info']['jabberit_messenger']['account_dn'];
-
-		// (OU) User
-		$this->ou_User = $this->dn_User;
-		$this->ou_User = substr($this->ou_User,strpos($this->ou_User, "ou="));
-		$this->ou_User = strtoupper(substr($this->ou_User, 0, strpos($this->ou_User, ",dc=")));
-		
-		// Server Name Jabber
-		$this->serverJabber = $_SESSION['phpgw_info']['jabberit_messenger']['name_jabberit'];
-		
-	}
-
-	private final function groupsLocked()
-	{
-		$memberShip = array();
-		$groupsLocked =  explode(";",$_SESSION['phpgw_info']['jabberit_messenger']['groups_locked']);
-		
-		foreach($_SESSION['phpgw_info']['jabberit_messenger']['membership'] as $tmp)
-			$memberShip[] = $tmp['account_name'];
-		
-		foreach($groupsLocked as $tmp)
-		{
-			$groups = explode(":", $tmp);
-			if( array_search($groups[1], $memberShip) !== False )
-			{	
-				$_SESSION['phpgw_info']['jabberit_messenger']['organizationsGroupsLocked'] = $groups[2]; 
-				return true;
-			}
-		}
-		
-		return false;
-	}
-
-	public final function list_contacts($param)
-	{
-		$order		= array();
-		$ou_User	= substr($this->ou_User, (strpos($this->ou_User,"=")+1));
-		$return		= '<empty/>';
-		$users		= $this->users_auth_im($param['name']);
-		
-		if (!is_array($users) && trim($users) === 'Many Results')
-			return "<error>Many Results</error>";
-
-		// Hosts Jabber
-		$hostsJabber = unserialize($_SESSION['phpgw_info']['jabberit_messenger']['map_org_realm_jabberit']);
-
-		if( is_array($users) && !empty($users))
-		{	
-			for($i = 0; $i < count($users); $i++)				
-			{
-				if( is_array($hostsJabber) )
-				{
-					foreach($hostsJabber as $itens)
-					{
-						if( trim($users[$i]['ou']) === trim($itens['org']) && strpos($users[$i]['jid'],"@") === false )
-						{
-							$users[$i]['jid'] = $users[$i]['jid']."@".$itens['jabberName'];
-						}
-					}
-				}
-
-				if( strpos($users[$i]['jid'],"@") === false )
-				{
-					$users[$i]['jid'] = $users[$i]['jid']."@".$this->serverJabber;
-				}
-			}
-
-			foreach($users as $tmp)
-			{
-				if ( !array_key_exists($tmp['ou'], $order) )
-					$order[$tmp['ou']] = array();
-
-				$order[$tmp['ou']][] = '<data><ou>'.$tmp['ou'].'</ou><cn>'.$tmp['cn'].'</cn><mail>'.$tmp['mail'].'</mail><uid>'.$tmp['uid'].'</uid><jid>'.$tmp['jid'].'</jid><photo>'.$tmp['photo'].'</photo></data>';
-			}
-			
-			ksort($order);
-				
-			$return	= '<uids>';
-			foreach ( $order as $key => $val )
-				$return .= '<'.$key.'>'.implode('',$val).'</'.$key.'>';
-			$return .= '</uids>';
-		}
-		
-		return $return;
-	}
-
-	private final function users_auth_im($pName)
-	{   
-        $array_uids = $this->db->get_accounts_acl();
-        $members = array();
-        $result = array();
-		
-        for( $i = 0; $i < count($array_uids) ; $i+=50 )
-        {   
-            $partial_uids = array_slice($array_uids,$i,50);
-            $filter_uid = implode(")(uidnumber=",$partial_uids);
-            $filter_uid = "(uidnumber=". $filter_uid. ")";
-
-			if( $this->groupsLocked() )
-			{
-	            $orgs[] = $this->ou_User;
-	            $orgsGroupsLocked = explode(",", $_SESSION['phpgw_info']['jabberit_messenger']['organizationsGroupsLocked']); 
-	            
-				foreach( $orgsGroupsLocked as $tmp )
-				{
-					if( $tmp != "" )
-					{
-						if( strpos($tmp, "/") !== false )
-						{
-							$tt = explode("/", $tmp);
-							$newOU = implode(",OU=",array_reverse($tt));
-							$orgs[] = "OU=". $newOU ;
-						}
-						else 
-							$orgs[] = "OU=". $tmp;
-					}            
-				}
-
-	            $orgs = array_unique($orgs);
-	
-				foreach( $orgs as $orgB )				
-					$result[] = $this->ldap->getUsersLdapRoot("cn=*".$pName."*", $filter_uid, $orgB );
-			}
-			else
-				$result[] = $this->ldap->getUsersLdapRoot("cn=*".$pName."*", $filter_uid);
-        }
-        
-        if( !$this->groupsLocked() )
-	        $result[] = $this->ldap->getUsersLdapCatalog("cn=*".$pName."*");
-
-        if ( is_array($result) )
-        {
-          	for( $i = 0; $i < count($result); $i++ )
-           		if( is_array($result[$i]) )
-           			$members = array_merge($members,$result[$i]);
-        }
-	     
-        if( count($members) > 150)
-        {
-	    	$ou = substr( $this->ou_User, strpos($this->ou_User, "=") + 1 );
-			for($i = 0 ; $i < count($members); $i++ )
-			{
-				if( $ou == $members[$i]['ou'] )
-					$uids_org[] = $members[$i];
-				else
-					if(isset($_SESSION['phpgw_info']['jabberit_messenger']['photo']))
-						unset($_SESSION['phpgw_info']['jabberit_messenger']['photo'][$members[$i]['ou']]);
-			}
-			return $uids_org;
-        }            
-
-		return $members;        
-	}
-	
-	private final function strallpos($haystack, $needle, $offset = 0)
-	{
-	    $result = array();
-	    for($i = $offset; $i< strlen($haystack); $i++ )
-	    {
-	        $pos = strpos($haystack,$needle,$i);
-	        if($pos !== FALSE)
-	        {
-	            $offset =  $pos;
-	            if($offset >= $i)
-	                $result[] = $i = $offset;
-	        }
-	    }
-    	
-    	return $result;
-	} 
-
-	public final function verifyAddNewContact($pUid)
-	{
-		$groupsLocked =  explode(";",$_SESSION['phpgw_info']['jabberit_messenger']['groups_locked']);
-		$gidNumbers = array();
-		$uid = $pUid['uid'];
-		$uid_User = substr($this->dn_User, 0, strpos($this->dn_User, ","));
-		$uid_User = substr($uid_User, 4);
-
-		foreach($groupsLocked as $tmp)
-		{
-			$groups = explode(":", $tmp);
-			$gidNumbers[] = $groups[1];
-		}
-		
-		$filter_gid = implode(")(gidnumber=",$gidNumbers);
-	    $filter_gid = "(gidnumber=". $filter_gid. ")";
-		
-		$result = $this->ldap->getGroupsMemberUid($filter_gid);
-		
-		if( $result && is_array($result) )
-		{
-			array_shift($result);
-			$i = 0;
-			
-			foreach($result as $value)
-			{
-				$Groups[$i]['dn'] = $value['dn'];
-				$Groups[$i]['gidnumber'] = $value['gidnumber'][0];
-				if(array_key_exists('memberuid',$value))
-				{
-					array_shift($value['memberuid']);
-					$Groups[$i++]['memberuid'] = $value['memberuid'];
-				}
-			}
-
-			$search = array();
-			$search_Gid = array();
-
-			// Verifica Uid em Grupo Bloqueado
-			foreach($Groups as $value)
-			{			
-				if( array_search( $uid , $value['memberuid'] ) !== false )
-				{
-					$ou = substr($value['dn'],strpos($value['dn'], "ou="));
-					if( array_search($uid_User, $value['memberuid']) === false )
-					{
-						$search[] = strtoupper(substr($ou, 0, strpos($ou, ",dc=")));
-						$search_Gid[] = $value['gidnumber'];
-					}
-				}
-			}
-		}
-		
-	
-		if( $this->groupsLocked() )
-		{
-			if( count($search) > 0 )
-			{
-				// Verifica permissões do grupo
-				foreach($groupsLocked as $value)
-				{							
-					$tpGroups = explode(":",$value);
-					if( $tpGroups[1] == $search_Gid[0] )
-					{
-						$ousTp = explode(",",$tpGroups[2]);
-						$ou_User = strtoupper(trim($this->dn_User));
-						
-						$posAll = $this->strallpos($ou_User, "OU=" );
-						$orgs = array();
-				
-						for( $i = 0 ; $i < count($posAll); $i++ )
-						{
-							$pos = strpos($ou_User, ",");
-							$tmpString = substr($ou_User, $posAll[$i] + 3);
-							$orgs[] = substr($tmpString, 0, strpos($tmpString, ","));
-						}
-				
-						$ou_User = implode("/", array_reverse($orgs));
-
-						if( array_search( $ou_User, $ousTp) !== false )
-							return "true";
-					}
-				}
-				return "false";
-			}
-			else
-				return "true";
-		} 
-		else
-		{		
-			// Se Bloqueado verifica o Grupo	
-			if( count($search) > 0 )
-			{
-				if( array_search($this->ou_User, $search) === false )
-				{
-					// Verifica permissões do grupo
-					foreach($groupsLocked as $value)
-					{							
-						$tpGroups = explode(":",$value);
-						
-						if( $tpGroups[1] == $search_Gid[0] )
-						{
-							$ousTp = explode(",",$tpGroups[2]);
-							$ou_User = strtoupper(trim($this->dn_User));
-					
-							$posAll = $this->strallpos($ou_User, "OU=" );
-							$orgs = array();
-					
-							for( $i = 0 ; $i < count($posAll); $i++ )
-							{
-								$pos = strpos($ou_User, ",");
-								$tmpString = substr($ou_User, $posAll[$i] + 3);
-								$orgs[] = substr($tmpString, 0, strpos($tmpString, ","));
-							}
-					
-							$ou_User = implode("/", array_reverse($orgs));
-							
-							if( array_search( $ou_User, $ousTp) !== false )
-								return "true";
-						}
-					}
-					return "false";
-				}
-				return "true";
-			}					
-			return "true";
-		}
-	}
-}
-
-?>
Index: unk/jabberit_messenger/inc/class.uihostsjabber.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.uihostsjabber.inc.php	(revision 1684)
+++ 	(revision )
@@ -1,114 +1,0 @@
-<?php
-
-  /***************************************************************************\
-  *  Expresso - Expresso Messenger                                            *
-  *  	- Alexandre Correia / Rodrigo Souza							          *
-  * ------------------------------------------------------------------------- *
-  *  This program is free software; you can redistribute it and/or modify it  *
-  *  under the terms of the GNU General Public License as published by the    *
-  *  Free Software Foundation; either version 2 of the License, or (at your   *
-  *  option) any later version.                                               *
-  \***************************************************************************/
-
-require_once "class.bohostsjabber.inc.php";
-
-class uihostsjabber
-{
-	private $bo;
-	private $ldap;
-
-	public $public_functions = array(
-		'backPage'  => True,
-		'edit_conf' => True,
-	);
-
-	function __construct()
-	{
-		$this->bo = new bohostsjabber();
-	}
-	
-	public final function edit_conf()
-	{
-		if($GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
-		{
-			$GLOBALS['phpgw']->redirect_link('/index.php');
-		}		
-		
-		$GLOBALS['phpgw_info']['flags']['app_header'] = lang('Admin') .' - ' . 'Configurar Organizações e Servidores Jabber';	
-		
-		$_SESSION['phpgwinfo']['db_host'] = $GLOBALS['phpgw_info']['server']['db_host'];
-    	$_SESSION['phpgwinfo']['db_port'] = $GLOBALS['phpgw_info']['server']['db_port'];
-    	$_SESSION['phpgwinfo']['db_name'] = $GLOBALS['phpgw_info']['server']['db_name'];
-    	$_SESSION['phpgwinfo']['db_user'] = $GLOBALS['phpgw_info']['server']['db_user'];
-    	$_SESSION['phpgwinfo']['db_pass'] = $GLOBALS['phpgw_info']['server']['db_pass']; 
-    	$_SESSION['phpgwinfo']['db_type'] = $GLOBALS['phpgw_info']['server']['db_type'];
-			
-		$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
-		$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
-		
-		$GLOBALS['phpgw']->common->phpgw_header();
-		echo parse_navbar();
-
-		// Load Language;
-		require_once "load_lang.php";
-
-		$ConfHosts = $this->bo->getHostsJabber();
-		
-		if( $ConfHosts )
-		{
-			$ConfHosts = unserialize($this->bo->getHostsJabber());
-		}
-		
-		$value_Organizations_Servers = "";
-		
-		if( is_array($ConfHosts) )	
-		{
-			foreach($ConfHosts as $itens)
-			{
-				$value_Organizations_Servers .= "<tr id='".$itens['org'].":".$itens['jabberName']."' style='width:40%' class='row_off'>";
-				$value_Organizations_Servers .=	"<td>".$itens['org']."</td>";
-				$value_Organizations_Servers .=	"<td>".$itens['jabberName']."</td>";
-				$value_Organizations_Servers .=	"<td><a href='javascript:constructScript.editHostsJ(\"".$itens['org'].":".$itens['jabberName']."\");'>".lang('Edit')."</a></td>";
-				$value_Organizations_Servers .=	"<td><a href='javascript:constructScript.removeHostsJ(\"".$itens['org'].":".$itens['jabberName']."\");'>".lang('Delete')."</a></td>";				
-				$value_Organizations_Servers .= "</tr>";
-			}
-		}
-		
-		$GLOBALS['phpgw']->template->set_file(array('jabberit_messenger' => 'confServersJabber.tpl'));
-		$GLOBALS['phpgw']->template->set_block('jabberit_messenger','confServersJabber');	
-		$GLOBALS['phpgw']->template->set_var(array(
-												    'action_url' => $GLOBALS['phpgw']->link('/index.php','menuaction=jabberit_messenger.uihostsjabber.backPage'),
-													'lang_Add_Organizations_and_Servers_Jabber' => lang('Add organizations and servers jabber'),
-													'lang_Back' => lang('Back'),
-												    'lang_Delete' => lang('Delete'),
-												    'lang_Edit' => lang('Edit'),
-												    'lang_Example' => lang('Example'),
-												    'lang_new' => lang('New'),
-												    'lang_Organization' => lang('Organization'),
-													'lang_save' => lang('Save'),
-												    'lang_ServerJabber' => lang('Servers Jabber'),
-													'lang_Registration_Organizations_and_Server_Jabber' => lang("Registration of Organizations and Servers Jabber"),													
-													'value_Organizations_Servers' => $value_Organizations_Servers,
-										));
-	
-		$GLOBALS['phpgw']->template->pparse('out','confServersJabber');
-	}
-	
-	public final function backPage()
-	{
-		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
-		{
-			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-		}		
-		
-		if ($_POST['cancel'])
-		{
-			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-		}
-
-		$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-	}
-	
-}
-
-?>
Index: unk/jabberit_messenger/inc/class.uiconforganization.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.uiconforganization.inc.php	(revision 1684)
+++ 	(revision )
@@ -1,107 +1,0 @@
-<?php
-
-  /***************************************************************************\
-  *  Expresso - Expresso Messenger                                            *
-  *  	- Alexandre Correia / Rodrigo Souza							          *
-  * ------------------------------------------------------------------------- *
-  *  This program is free software; you can redistribute it and/or modify it  *
-  *  under the terms of the GNU General Public License as published by the    *
-  *  Free Software Foundation; either version 2 of the License, or (at your   *
-  *  option) any later version.                                               *
-  \***************************************************************************/
-
-require_once "class.ldap_im.inc.php";
-
-class uiconforganization
-{
-
-	private $bo;
-	private $ldap;
-
-	public $public_functions = array(
-		'backPage'  => True,
-		'edit_conf' => True,
-	);
-
-	public final function edit_conf()
-	{
-		if($GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
-		{
-			$GLOBALS['phpgw']->redirect_link('/index.php');
-		}		
-		
-		$GLOBALS['phpgw_info']['flags']['app_header'] = lang('Admin') .' - ' . 'Configurar o Atributo de Autenticação';	
-		
-		$_SESSION['phpgwinfo']['db_host'] = $GLOBALS['phpgw_info']['server']['db_host'];
-    	$_SESSION['phpgwinfo']['db_port'] = $GLOBALS['phpgw_info']['server']['db_port'];
-    	$_SESSION['phpgwinfo']['db_name'] = $GLOBALS['phpgw_info']['server']['db_name'];
-    	$_SESSION['phpgwinfo']['db_user'] = $GLOBALS['phpgw_info']['server']['db_user'];
-    	$_SESSION['phpgwinfo']['db_pass'] = $GLOBALS['phpgw_info']['server']['db_pass']; 
-    	$_SESSION['phpgwinfo']['db_type'] = $GLOBALS['phpgw_info']['server']['db_type'];
-			
-		$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
-		$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
-		
-		$GLOBALS['phpgw']->common->phpgw_header();
-		echo parse_navbar();
-
-		$options_attributes = array('uid','mail','description');
-		$attributes .= "<option value='-1'>-- ".lang('Choice attribute')." --</option>";
-		foreach($options_attributes as $tmp )
-			$attributes .= "<option value='".$tmp."'>".$tmp."</option>";
-
-		$options_orgAttributes = explode(",",$GLOBALS['phpgw_info']['server']['attributes_org_ldap_jabberit']);
-		natcasesort($options_orgAttributes);
-		
-		foreach($options_orgAttributes as $key => $tmp)
-		{
-			if( $tmp != "" )
-			{
-				$attr = explode(";", $tmp);
-				$orgAttributes .= "<tr id='".$attr[0]."' style='width:40%' class='row_off'>";
-				$orgAttributes .= "<td>".$attr[0]."</td>";
-				$orgAttributes .= "<td>".$attr[1]."</td>";
-				$orgAttributes .= "<td><a href=\"javascript:constructScript.removeOrg('".$attr[0]."');\">Excluir</a>";
-				$orgAttributes .= "</td></tr>";
-			}
-		}
-		
-		// Load Language;
-		require_once "load_lang.php";
-				
-		$GLOBALS['phpgw']->template->set_file(array('jabberit_messenger'=>'confOrganization.tpl'));
-		$GLOBALS['phpgw']->template->set_block('jabberit_messenger','confOrg');	
-		$GLOBALS['phpgw']->template->set_var(array(
-										'action_url' => $GLOBALS['phpgw']->link('/index.php','menuaction=jabberit_messenger.uiconforganization.backPage'),
-										'attributes_list' => $attributes,			
-										'lang_add' => 'Adicionar',
-										'lang_Attribute' => lang('Attribute'),	
-										'lang_Back' => 'Voltar',
-										'lang_cancel' => lang('Cancel'),
-										'lang_Delete' => lang('Delete'),										
-										'lang_save' => lang('Save'),
-										'lang_Organization' => lang('Organization'),
-										'organizations_attributes' => $orgAttributes,
-										));
-	
-		$GLOBALS['phpgw']->template->pparse('out','confOrg');
-	}
-	
-	public final function backPage()
-	{
-		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
-		{
-			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-		}		
-		
-		if ($_POST['cancel'])
-		{
-			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-		}
-
-		$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-	}
-	
-}
-
-?>